/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 2020.07.25., 8:23:30
    Author     : kepe
*/
* {
    box-sizing: border-box;
  }
body{
    background-color: none;
    color: black;
    font-size: calc(15px + 0.390625vw);
}
p {
    font-size: calc(15px + 0.390625vw);

    font-family: Arial, sans-serif}
/*kis-kep eltuntetése mobile nézetbe*/
#kis-kep{
    display: none;
}

/*nav menu*/
.topnav{
    overflow: hidden;
    background-color: antiquewhite;
    width: 100%;
    position: relative;
}
/*linkek eltakarása, kivéve a logo/home rész*/
.topnav #myLinks {
    display: none;
    font-size: 1.6rem;
}

/*navigációs menu stílusának beállítása*/
.topnav a{
    color: #343a40;
    padding: 4% 6%;
    text-decoration: none;
   
    display: block;
}
/*a hamburger menü stílusának beállítása*/
.topnav a.icon{
    background: white;
    display: block;
    position: absolute;
    font-size: 60px;
    right: 0;
    top: 0;
}

/*szürke háttér hozzáadása mouse:hoover esetén*/
.topnav a:hover{
    background-color: orange;
    color: black;
}
/*az actív link home logo stílusának beállítása*/
.active{
    background-color: white;
    color: orange;
}
.topnav i{
    position: relative;
    margin-right: 0.625em;
   
    text-align: center;
}
.nav-betu{
  
    text-transform: uppercase;
    
}
.halvany-betu{
    color: #6c757d;
}
/*nav menu vege*/
#befoglalo{
    display: flex;
    flex-wrap:wrap;
    
    padding-top: 1em;
    margin-top: 0!important;
    margin: 1em;
}
.header{
    flex: 100%;
    padding: 1em;
    padding-top: 0;
}

.bemutatkozas-3{
    font-size: 1.25em;
   line-height: 1;
   font-weight: 400;
  
}
#kep{
   
    flex: 100%;
    padding: 1em;

}
#arckep{
  
    border-radius: 30%;
    
    /*a kép középre igazítása*/
    display: block;
    margin-left: auto;
    margin-right: auto;
     /*a kép középre igazításának vége*/
    
    
  
}
#arckep:hover{
    border:white 5px solid;
    
}
#fo-szoveg{
    
    flex:100%;
    padding: 1em;
   
}
.nagybetu{
    text-transform: uppercase;
    font-family: Arial, Helvetica, sans-serif;
    letter-spacing: 2px;
}
.kicsi-betu{
    font-size: smaller!important;
}
.szin{
    color: #B1580C;
}
.alahuzas{
    
    border-bottom: orange 5px solid;
    padding-bottom: 2px;
    max-width: fit-content;
}
/*bio ikon szöveg border beállítása*/
.bio-container{
    display: flex;
}
.bio-container > div {
    margin: 10px;

}

.bio-hatar{
  
    border-left: orange 5px solid;
    height: 100px;
    margin-top: 10px;
    margin-left: 50%;  /*függőleges vonal beállítása az ikon alá*/
    

}
.pipa-ikon{

    color: orange;
    position: relative;
    font-size: 36px;
    padding-top: 1vh;
   
}
.pipa-tartalom {
    position: relative;
   padding-top: 1vh;
}
    

.bemutatkozas-fo{
    letter-spacing: 2px;
    text-transform: uppercase;
    font-weight: bolder;
    font-size: calc(18px + 0.390625vw);
    font-family: Arial, Helvetica, sans-serif
}
.bemutatkozas-2{
    letter-spacing: 2px;
    text-transform: uppercase;
    font-weight: bolder;
    font-size: calc(17px + 0.390625vw);
    font-family: Arial, Helvetica, sans-serif
}
.bemutatkozas-2 p{
    font-weight: normal;
    font-size: calc(15px + 0.390625vw);
    text-transform: none;
    letter-spacing: normal;
}
.szoveg-border{
    border-left: 5px;
    border-left-color: orange;
    border-left-style: solid;
    padding-left: 1em;;


}

/*a táblázat stílusának beállítása*/
table{
    border-left: 1px dotted grey;
    margin-left: 2px;
   

}
td{
    padding-top: 1em;
    word-break: break-all;
    min-width: 100px;
   
}

tr:hover td{
    background-color: orange;
}

tr:nth-child(even) {
    background-color: antiquewhite;
  
}

/*a táblázat stílusának beállítása vége*/
.alairas{
    font-size: calc(17px + 0.390625vw);
    margin-top: 1em;
    color: #4C5357;

}
#elerhetoseg{
    flex: 100%;
    padding: 1em 1em 1em 0em;
}



p{
    line-height: calc(1ex / 0.32);
    /* optimális sormagasság beállítása tipográfiai szempontból*/
}
a{
    font-style: italic;
   
    text-decoration: underline;
        
}
a:hover{
    background-color: #757575;
    color: whitesmoke;
}
#lablec {
    font-size: calc(12px + 0.390625vw);
    
       /*a kép középre igazítása*/
    display: block;
    margin-left: auto;
    margin-right: auto;
     /*a kép középre igazításának vége*/
     color: #4C5357;

}

/* adatkezeles pop up css*/
#privacy-popup {
    position: fixed;
    padding: 1rem 1.5rem;
    bottom: 1rem;
    right: 1rem;
    background: #000000 !important;
    color: #4EEE85;
   
    
}
#privacy-popup .yes {
  
    background: #000000 !important;
    color: #4EEE85;

  }
  .form-container .btn{
    border: none;
    cursor: pointer;
    margin-bottom: 1rem;
    opacity: 0.8;
   
  }
  .form-container .btn:hover{
    opacity: 1;

  }

  .no {
    background: #4EEE85;
    color: #000000;
    padding: 1%;
    margin: 0.5rem 0 1.5px 0;
    width: 100%;
  }
  .yes {
    padding: 1%;
    margin: 0.5rem 0 1.5rem 0;
    width: 100%;
  }

  /*adatkezeles pop up css vége*/
@media only screen and (min-width: 1024px){
    /*for desktop*/
    body{
        background-color: none;
        color: black;
        font-size: calc(15px + 0.390625vw);
    }
    p{
        font-size: calc(15px + 0.390625vw);
        text-transform: none;
    }
    /*navigációs menu desktop beállítása*/
    /*nav menu*/
.topnav{
    overflow: hidden;
    background-color: antiquewhite;
    font-size: 12px!important;
    top: 0%;
    position: fixed;
  
    width: 400px;
   
}
.topnav #myLinks{
    display: block;
}
.topnav p{
    font-size: 30px;
}



/*navigációs menu stílusának beállítása*/
.topnav a{
  /* display: inline-block;*/
   text-decoration: none;
}
/*a hamburger menu css-ének elrejtése, desktop esetén*/
#hamburger{
 display: none;
}

/*
a menu arckép beállítása
*/
#kis-kep{
    display: block;
    padding: 8em 1em 1em 1em;
}
#arckep-kicsi{
    border: #6c757d 1px solid;
    border-radius: 50%;
    
    /*a kép középre igazítása*/
    display: block;
    margin-left: auto;
    margin-right: auto;
     /*a kép középre igazításának vége*/
    
    
  
}
#arckep-kicsi:hover{
    border:white 1px solid;
    
}

/*nav menu vege*/

    #befoglalo{
     
       flex-wrap: wrap;
       padding: 0 1em 1em 1em;
       
       margin-left: 401px; /*a fix ball oldali nav menu, hogy ne fedja át az oldal többi része*/
     
    }
    #header{
        flex: 33%;
        order: 1;
        padding: 1em;
        font-size: 20px
        
    }
    #fo-szoveg{
        flex: 33%;
        order: 2;
        padding: 1em;

      
    }
  
    #kep{
        padding-top: 10%;
        flex:33%;
        max-height: 400px;
        order: 3;
        

    }
    #fo-szoveg-kontener{
        order: 4;
        flex: 65%;

        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        

    }
        #bio{
        flex: 50%; 
        }
        #kepzettseg{
            flex: 50%;
        }

  
    #naplo{
        flex: 65%;
        order: 5;
        padding: 1em;
    }
   
    #elerhetoseg{
        
        max-width: 65%;
        order: 6;
        padding: 1em 1em 1em 0em;
            }
  
    #lablec{
        flex: 100%;
        flex-wrap: no-wrap;
        order: 7;
        padding: 1em;
    }
   
}
